/*
 *   $Id: fma_routines.h,v 1.3 2025/03/09 19:14:25 snw Exp $
 *    fmadm - routines
 *
 *  
 *   Author: Serena Willis <snw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020, 2025 Coherent Logic Development LLC
 *
 *
 *   This file is part of FreeM.
 *
 *   FreeM is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   FreeM is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero Public License for more details.
 *
 *   You should have received a copy of the GNU Affero Public License
 *   along with FreeM.  If not, see <https://www.gnu.org/licenses/>.
 *
 *   $Log: fma_routines.h,v $
 *   Revision 1.3  2025/03/09 19:14:25  snw
 *   First phase of REUSE compliance and header reformat
 *
 *
 * SPDX-FileCopyrightText:  (C) 2025 Coherent Logic Development LLC
 * SPDX-License-Identifier: AGPL-3.0-or-later
 **/

#if !defined(_FMA_ROUTINES_H)
#define _FMA_ROUTINES_H

#define FM_STR_MAX 258

int fma_routines_list (int optc, char **opts);
int fma_routines_edit (int optc, char **opts);
int fma_routines_examine (int optc, char **opts);
int fma_routines_backup (int optc, char **opts);
int fma_routines_restore (int optc, char **opts);
int fma_routines_import (int optc, char **opts);
int fma_routines_export (int optc, char **opts);
int fma_routines_remove (int optc, char **opts);
int file_exists(char *filename);

#endif
